Metacat - Bug #2237

web.xml, tomcat and jstl
10/27/2005 02:28 PM - Margaret O'Brien

Status: Resolved Start date: 10/27/2005
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 2.x.y Spent time: 0.00 hour
Bugzilla-ld: 2237

Description

I've been using JSP and Java Standard Tag Library functions with files in
metacat, and got tomcat5 errors because tomcat5 wants the web.xml file to be
pointing to this schema instead of the dtd used by tomcat3 and tomcat4:
xsi:schemalocation="http://java.sun.com/xml/ns/j2ee
http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"

The tomcat errors occurred when using the jstl with the earlier dtd, but | had

no problems after switching to the schema in sbc's installation. Here is a

reference:
http://www.javaworld.com/javaforums/printthread.php?Cat=&Board=Enterprisejava&main=18070&type=thread

Two additional jar files are required to run jstl (jstl.jar, standard.jar). It
would be very convenient to see these included with metacat, although they are
also easily added by a user.

History

#1 - 03/27/2013 02:19 PM - Redmine Admin
Original Bugzilla ID was 2237

#2 - 04/10/2013 11:17 AM - ben leinfelder
- Status changed from New to Rejected

- Assignee changed from Saurabh Garg to ben leinfelder

Now using v2.5 schema:

<web-app xmlns="http://java.sun.com/xml/ns/javaee"
xmlns:xsi="http://www.w3.0rg/2001/XMLSchema-instance"
xsi:schemalLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"
version="2.5">

#3 - 04/10/2013 11:17 AM - ben leinfelder

- Status changed from Rejected to Resolved
